## org.apache.poi.poifs.crypt
Class EncryptionHeader

    java.lang.Object
      org.apache.poi.poifs.crypt.EncryptionHeader

    public class EncryptionHeader

extends java.lang.Object

Author:
  Maxim Valyanskiy, Gary King

Field Summary
`static int` `ALGORITHM_AES_128`
`static int` `ALGORITHM_AES_192`
`static int` `ALGORITHM_AES_256`
`static int` `ALGORITHM_RC4`
`static int` `HASH_SHA1`
`static int` `MODE_CBC`
`static int` `MODE_CFB`
`static int` `MODE_ECB`
`static int` `PROVIDER_AES`
`static int` `PROVIDER_RC4`

Constructor Summary
`EncryptionHeader(DocumentInputStream is)`
`EncryptionHeader(java.lang.String descriptor)`

Method Summary
`int` `getAlgorithm()`
`int` `getCipherMode()`
`java.lang.String` `getCspName()`
`int` `getFlags()`
`int` `getHashAlgorithm()`
`byte[]` `getKeySalt()`
`int` `getKeySize()`
`int` `getProviderType()`
`int` `getSizeExtra()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALGORITHM_RC4

    public static final int ALGORITHM_RC4

See Also:
  Constant Field Values

### ALGORITHM_AES_128

    public static final int ALGORITHM_AES_128

See Also:
  Constant Field Values

### ALGORITHM_AES_192

    public static final int ALGORITHM_AES_192

See Also:
  Constant Field Values

### ALGORITHM_AES_256

    public static final int ALGORITHM_AES_256

See Also:
  Constant Field Values

### HASH_SHA1

    public static final int HASH_SHA1

See Also:
  Constant Field Values

### PROVIDER_RC4

    public static final int PROVIDER_RC4

See Also:
  Constant Field Values

### PROVIDER_AES

    public static final int PROVIDER_AES

See Also:
  Constant Field Values

### MODE_ECB

    public static final int MODE_ECB

See Also:
  Constant Field Values

### MODE_CBC

    public static final int MODE_CBC

See Also:
  Constant Field Values

### MODE_CFB

    public static final int MODE_CFB

See Also:
  Constant Field Values

Constructor Detail

### EncryptionHeader

    public EncryptionHeader(DocumentInputStream is)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

### EncryptionHeader

    public EncryptionHeader(java.lang.String descriptor)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getCipherMode

    public int getCipherMode()

### getFlags

    public int getFlags()

### getSizeExtra

    public int getSizeExtra()

### getAlgorithm

    public int getAlgorithm()

### getHashAlgorithm

    public int getHashAlgorithm()

### getKeySize

    public int getKeySize()

### getKeySalt

    public byte[] getKeySalt()

### getProviderType

    public int getProviderType()

### getCspName

    public java.lang.String getCspName()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.